JMXAuthenticator (Java Platform SE 8 )
Keywords: javax.management.remote.JMXAuthenticator interface
Date: 2015-05-24

compact3
javax.management.remote

## Interface JMXAuthenticator

-     public interface JMXAuthenticator

  Interface to define how remote credentials are converted into a JAAS Subject. This interface is used by the RMI Connector Server, and can be used by other connector servers.

  The user-defined authenticator instance is passed to the connector server in the environment map as the value of the attribute `JMXConnectorServer.AUTHENTICATOR`. For connector servers that use only this authentication system, if this attribute is not present or its value is `null` then no user authentication will be performed and full access to the methods exported by the `MBeanServerConnection` object will be allowed.

  If authentication is successful then an authenticated `subject` filled in with its associated `principals` is returned. Authorization checks will be then performed based on the given set of principals.

  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Subject` | `authenticate(Object credentials)` Authenticates the `MBeanServerConnection` client with the given client credentials.

- - ### Method Detail

    - #### authenticate

          Subject authenticate(Object credentials)

      Authenticates the `MBeanServerConnection` client with the given client credentials.

      Parameters:
        `credentials` - the user-defined credentials to be passed into the server in order to authenticate the user before creating the `MBeanServerConnection`. The actual type of this parameter, and whether it can be null, depends on the connector.
      Returns:
        the authenticated subject containing its associated principals.
      Throws:
        `SecurityException` - if the server cannot authenticate the user with the provided credentials.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.